.vjs-wurl {
    --vjs-wurl--primary: #9f44b4;
    --vjs-wurl--secondary: #fff;
    pointer-events: none;
}

.vjs-overlay.hide {
    opacity: 0;
    transition: opacity 1s ease;
    pointer-events: none;
}

.vjs-wurl .vjs-control-bar {
    background: none;
    padding: 0px 64px;
    display: flex;
    justify-content: center;
    z-index: 1300;
}

.vjs-wurl .vjs-time-control {
    line-height: 8em;
    font-size: 12pt;
    display:none;
}

.vjs-remaining-time .vjs-time-control .vjs-control {
    display: none;
}


.vjs-text-track-cue {
    font: 31px sans-serif !important;
}

.vjs-wurl .vjs-volume-menu-button,
.vjs-wurl .vjs-playback-rate,
.vjs-wurl .vjs-fullscreen-control,
.vjs-wurl .vjs-volume-panel,
.vjs-wurl .vjs-picture-in-picture-control,
.vjs-wurl .vjs-play-control,
.vjs-wurl .vjs-subs-caps-button {
    display: none;
}

.vjs-wurl .vjs-progress-control {
    width: calc(100% - 150px);
    flex: none;
}

/* play progress  */
.vjs-wurl .vjs-progress-control .vjs-play-progress {
    background-color: white;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;

}

.vjs-wurl .vjs-progress-control .vjs-slider {
    background-color: white;
    border-radius: 5px;
}

.vjs-wurl .vjs-progress-control .vjs-load-progress,
.vjs-wurl .vjs-progress-control .vjs-load-progress div {
    background-color: transparent;
}

/* time slider */
.vjs-wurl .vjs-progress-control .vjs-progress-holder {
    margin: 0;
    height: 8px;
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.3);
    top: calc(100% - 140px);
}

.vjs-wurl .vjs-duration {
    position: absolute;
    display: block;
    top: -134px;
    left: calc(100% - 123px);
    color: white;
    font-family: Inter-Regular;
    font-size: 16px;
    transform-origin: top right;/* make the “pivot” the right edge so that it expands left */
    transform: translateX(-100%);   
}

.vjs-wurl .vjs-current-time {
    position: absolute;
    display:block;
    top: -134px;
    left: 122px;
    color:white;
    font-family: Inter-Regular;
    font-size: 16px;
}

/* DISABLED / HIDDEN CLASSES */
.vjs-wurl .vjs-progress-control .vjs-time-tooltip {
    display: none;
}

/* the round ball on the slider  */
.vjs-wurl .vjs-progress-control .vjs-play-progress:before {
    display: none;
}

.vjs-wurl .vjs-progress-control .vjs-mouse-display .vjs-time-tooltip,
.vjs-wurl .vjs-progress-control .vjs-play-progress .vjs-time-tooltip {
    display: none;
}

/* disable the loading spinner */
.vjs-wurl .vjs-waiting .vjs-loading-spinner,
.vjs-wurl .vjs-waiting .vjs-loading-spinner:before,
.vjs-wurl .vjs-waiting .vjs-loading-spinner:after,
.vjs-wurl .vjs-seeking .vjs-loading-spinner,
.vjs-wurl .vjs-seeking .vjs-loading-spinner:before,
.vjs-wurl .vjs-seeking .vjs-loading-spinner:after
{
    display: none;
    visibility: hidden;
}

.livestream-player-container .vjs-wurl .vjs-current-time,
.livestream-player-container .vjs-wurl .vjs-duration {
    display: none;
}

/* Hide the big play button everywhere, always */
.video-js .vjs-big-play-button {
    display: none !important;
    visibility: hidden !important;
    pointer-events: none !important;
    /* collapse its space entirely */
    width: 0 !important;
    height: 0 !important;
    overflow: hidden !important;
}